package hal

import (
	"fmt"
)

func NewCommandLineIO(index int64) *CommandLineIO {
	return &CommandLineIO{
		index: index,
	}
}

type CommandLineIO struct {
	index int64
}

func (io *CommandLineIO) Read() (result float64, err error) {
	fmt.Printf("Input[%d]: ", io.index)
	_, err = fmt.Scanf("%f", &result)
	return
}

func (io *CommandLineIO) Write(output float64) error {
	fmt.Printf("Output[%d]: %f\n", io.index, output)
	return nil
}
